Bug 120343 - net-tools potential buffer overflows
net-tools potential buffer overflows
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 17:19 EDT by Steve Grubb
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-15 12:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes overflows (2.04 KB, patch)
2004-04-07 17:20 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-04-07 17:19:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
During a code review, I found a couple cases where there was a
potential for buffer overflow in the netstat utility. I think a buffer
of 1024 was being strcat'ed to a buffer of 128. I'm not sure of the
likelihood that this could be used to crash the program, but the fix
is easy enough.

Version-Release number of selected component (if applicable):
net-tools-1.60

How reproducible:
Didn't try

Steps to Reproduce:
Found during code review

Additional info:

I will attach a patch that fixes this issue.
Comment 1 Steve Grubb 2004-04-07 17:20:58 EDT
Created attachment 99208 [details]
Patch that fixes overflows

Please apply before fedora core 2 final
Comment 2 Phil Knirsch 2004-04-15 12:01:04 EDT
Included in latest net-tools for FC2.

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.